Summary:	Libraries to move files to a trash on delete
Summary(pl.UTF-8):	Biblioteka do automatycznego przenoszenia usuwanych plików do kosza
Name:		libtrash
Version:	3.7
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	https://pages.stern.nyu.edu/~marriaga/software/libtrash/%{name}-%{version}.tgz
# Source0-md5:	7eeda8187327588ad32bbcb80f33e796
URL:		https://pages.stern.nyu.edu/~marriaga/software/libtrash/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake
BuildRequires:	libtool >= 2:2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
If configured to be preloaded by the dynamic linker, libtrash will
cause applications to transparently move files to a trash directory
instead of actually removing them. After the fake "remove", the files
are available in a directory structure similar as the old one.

%description -l pl.UTF-8
Po skonfigurowaniu tak, by była ładowana przez dynamiczny linker,
biblioteka libtrash powoduje, że aplikacje zamiast kasować przenoszą
pliki do specjalnego katalogu (kosza). Po tym "usunięciu" pliki są
dostępne w strukturze katalogów podobnej do tej sprzed usunięcia.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# no devel package
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libtrash.{so,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post    -p /sbin/ldconfig
%postun  -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README.md TODO config.txt
%attr(755,root,root) %{_libdir}/libtrash.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libtrash.so.3
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/libtrash.conf
%changelog
* Sat Jun 08 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libtrash.git;a=log;h=master

* Sat Jun 08 2024 Jakub Bogusz <qboosh@pld-linux.org> 35cb4d6
- updated to 3.7

* Fri Aug 15 2008 Elan Ruusamäe <glen@pld-linux.org> 8571357
- release 4

* Fri Aug 15 2008 Elan Ruusamäe <glen@pld-linux.org> 0694cb7
- disable /proc check on builders

* Fri Aug 15 2008 Elan Ruusamäe <glen@pld-linux.org> 02f1cea
- we do not have /proc on builders

* Fri Aug 15 2008 Elan Ruusamäe <glen@pld-linux.org> 037b32a
- ldconfig is not in $PATH; rel 3

* Fri Aug 15 2008 Elan Ruusamäe <glen@pld-linux.org> 9e73fe6
- release 2

* Fri Aug 15 2008 Elan Ruusamäe <glen@pld-linux.org> 87a66f3
- update to 3.2, fixes segfault on ac-amd64

* Fri Aug 15 2008 Elan Ruusamäe <glen@pld-linux.org> f9aa04c
- fix build on py24

* Fri Aug 15 2008 Elan Ruusamäe <glen@pld-linux.org> 7a7bdd8
- package ghost soname symlink

* Fri Aug 15 2008 Elan Ruusamäe <glen@pld-linux.org> 0633af9
- up to 3.2, however build fails on py24 as invalid syntax used

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 2add0a2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 30f75ec
- converted to UTF-8

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> 64a56eb
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Tue Feb 28 2006 Elan Ruusamäe <glen@pld-linux.org> 2d4b1f3
- versioned url, quote cc

* Tue Feb 28 2006 piti <piti@pld-linux.org> 2662dce
- up to 2.4. URL and Source0 update

* Thu Jul 21 2005 darekr <darekr@pld-linux.org> f0023ff
- added TODO to %doc

* Mon Nov 08 2004 Sławomir Paszkiewicz <paszczus@pld-linux.org> b730a47
- updated to 2.3
- updated URL
- Source0 is now %{name}-latest, because %{version} doesn`t exist...

* Wed Mar 31 2004 Jakub Bogusz <qboosh@pld-linux.org> 19c60f7
- updated to 2.2, builds now

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 7966b9d
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> d5de40b
- massive attack s/pld.org.pl/pld-linux.org/

